<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/
require("conexion/conectar.php");
require("MandaCorreos/FuncionSendMail.php");

$conexion = new CONDB();
$conexion->conectar();

$pass=$_GET['id'];
$usr=$_GET['usuario'];
$email=$_GET['email'];
$razonSocial=$_GET['razonSocial'];
$query="select username,email,nombre,activado,ref_rfc_receptor from usuariosweb where pass='$pass' and username='$usr' and email='$email'";
$rquery=mysqli_query($conexion->CONEXION,$query);
if(mysqli_num_rows($rquery) > 0){
		$tmp=mysqli_fetch_array($rquery,MYSQLI_ASSOC);
		$nombre=$tmp['nombre'];
		$ref_rfc_receptor=$tmp['ref_rfc_receptor'];
		$liga="";
		
		if(file_exists("config.ini")){
			$vlineas = file("config.ini");
			foreach ($vlineas as $sLinea) {
				if(substr($sLinea,0,5) == "RFCS="){
					$_SESSION["RFCS"]=trim(substr($sLinea,5));
				}elseif(substr($sLinea,0,11) == "RFCS_LIGAS="){
					$_SESSION["RFCS_LIGAS"]=trim(substr($sLinea,11));
				}elseif(substr($sLinea,0,11) == "URL_PORTAL="){
					$_SESSION["URL_PORTAL"]=trim(substr($sLinea,11));
				}
			}
		}
		
		$arrRFCS=explode(",",$_SESSION["RFCS"]);
		$arrRFCS_L=explode(",",$_SESSION["RFCS_LIGAS"]);
		
		for($i=0;$i<count($arrRFCS); $i++){
			if(trim($ref_rfc_receptor) == $arrRFCS[$i]){
				$liga=$arrRFCS_L[$i];
				break;
			}
		}
		
		$query="update usuariosweb set activado=2 where username='$usr'";
		mysqli_query($conexion->CONEXION,$query);
		
		if($tmp['activado'] == '0'){
			?>
				<center>
				<font size="2" color="blue">Su cuenta <strong><?=$usr?></strong> ha sido activada correctamente.<br>
				Ahora ya puede ingresar al portal <a href="<?=$_SESSION["URL_PORTAL"].$liga?>">Aqui.</a>
				</center>
			<?
		}else if($tmp['activado'] == '2'){
		?>
				<center>
				<font size="2" color="blue">Su cuenta <strong><?=$usr?></strong> ya se encuentra activada.<br>
				</center>
		<?
		}
		
}
$conexion->desconectar();
?>
